from textual.app import ComposeResult
from textual.widgets import Button
from textual.containers import Horizontal


class TopBar(Horizontal):
    def compose(self) -> ComposeResult:
        yield Horizontal(
            Button(
                "New Root",
                id="new_root",
                tooltip="Change the folder for executing your Tree",
            ),
            Button("Save", id="save_tree", tooltip="Save the current tree as a preset"),
            Button("Load", id="load_tree", tooltip="Load a preset"),
            Button(
                "Execute",
                id="execute_tree",
                tooltip="Create directories from the current" " tree",
            ),
            Button("heim", id="main_menu"),
            id="TopBar",
        )
